﻿@model IEnumerable<TSPS_WebApp.Models.GrievanceViewModel>

@{
    ViewData["Title"] = "TrackComplaints";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>TrackComplaints</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<div></div>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.LoginId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.GrievanceId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.RoleId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Dept)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Taluka)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Village)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.FileRelativeUrl)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.LastModifiedAt)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CreatedAt)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CreatedBy)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.LoginId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.GrievanceId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.RoleId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Dept)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Taluka)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Village)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.FileRelativeUrl)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.LastModifiedAt)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedAt)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedBy)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Status)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ }) |
                @Html.ActionLink("Details", "Details", new { /* id=item.PrimaryKey */ }) |
                @Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })
            </td>
        </tr>
}
    </tbody>
</table>
